careCycle
Customers

Update customer campaign status

Update the status of a customer's campaign enrollment. Only terminal statuses (completed, failed) are allowed.

PATCH
/v2/customers/campaign-status

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Request Body

application/json

PATCH /v2/customers/campaign-status Request body

TypeScript Definitions

Use the request body type in TypeScript.

string

Customer ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string

Campaign ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string

New status for the customer campaign

Value in"pending" | "awaiting_call" | "in_progress" | "completed" | "failed" | "expired" | "cancelled" | "skipped" | "exceeded_max_calls"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.carecycle.ai/v2/customers/campaign-status" \  -H "Content-Type: application/json" \  -d '{    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",    "status": "pending"  }'
{
  "success": true,
  "previousStatus": "string",
  "newStatus": "string",
  "customerCampaignId": "36ca8d1d-3d3d-48cf-bd1f-a796d8849d75"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}